function PR.GUI.RefreshConfigBox()
    PR.GUI.UserInput.value = "select option"
    local rows = #PR.GUI.EditableValues
    PR.GUI.DisplayPanel.numlin = rows + 3
    for i = 1, rows do
        -- row numbers must match the PR.GUI.EditableValues array
        PR.GUI.DisplayPanel:setcell(i, 1, PR.GUI.EditableValues[i] .. " = " ..
            PR.Config[ PR.GUI.EditableValues[i] ] .. " " ..
            PR.GUI.EditableValuesUnit[i])
    end
    -- if we skip the empty row the auto-sizing breaks
    PR.GUI.DisplayPanel:setcell(rows + 1, 1, "")
    PR.GUI.DisplayPanel:setcell(rows + 2, 1,
        "Changes only take effect after you click on " ..
        PR.GUI.Btn_Bottom1.title .. " below.")
    PR.GUI.DisplayPanel:setcell(rows + 3, 1,
        "Changing SearchPercent_ values may cause a short delay.")
    PR.GUI.MaxDisplayRows = rows + 3

    iup.Append(PR.GUI.MainDialog[1][1], PR.GUI.EditBox)

    PR.GUI.Btn_Top2.title = PR.Config.PrintToHUD and "Print to HUD" or
        "Print to Chat"
    PR.GUI.Btn_Top2.tooltip = "Where to print status messages"

    if PR.Config.COLOR then
        PR.GUI.Btn_Top3.title = "Color"
        PR.GUI.Btn_Top3.fgcolor = PR.GUI.Color.Button
    else
        PR.GUI.Btn_Top3.title = "White"
        PR.GUI.Btn_Top3.fgcolor = PR.GUI.Color.White
    end
    PR.GUI.Btn_Top3.tooltip = "Print status messages in color or white only"

    PR.GUI.Btn_Top4.title = PR.GUI.VerbosityLevels[PR.Config.VerbosityLevel]
    PR.GUI.Btn_Top4.tooltip = "Status message verbosity"

    iup.Refresh(PR.GUI.MainDialog[1][1])
end
